Loading...
Searching...
No Matches
PriorityQueue_Impl.h File Reference

Interface class that defines Implementor of the Bridge pattern. More...

Go to the source code of this file.

## Classes

struct | ASSA::Bfunc< Arg1, Arg2, Result >
| Bfunc is used by PriorityQueue_impl. More...
struct | ASSA::Less< T >
| Less is borrowed from STL implementation. More...
class | ASSA::PriorityQueue_Impl< T, Compare >
| Class PriorityQueue_Impl. More...

## Namespaces

namespace | ASSA

## Detailed Description

Interface class that defines Implementor of the Bridge pattern.

Definition in file PriorityQueue_Impl.h.